Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MovePrevUnique Method (LockingInfo)
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MovePrevUnique is identical to MoveLast(LockingInfo). Otherwise, move the cursor to the previous non-duplicate key in the database, and store that key and associated datum in Current. MovePrevUnique returns false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool MovePrevUnique(
    	LockingInfo info
    )

Visual Basic (Declaration)
    Public Function MovePrevUnique ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++
    public:
    bool MovePrevUnique(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current contains an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MovePrevUnique Overload
BerkeleyDB Namespace